Jump to content

Java para OS X descargable y actualizable desde Oracle


Juan
 Share

Recommended Posts

Me he liado un poco en este hilo. En resumen: hay que instalar la JRE y la JDK, no?

 

No, la JDK ("Kit de desarrollo") incluye la JRE ("Sólo ejecución"). Luego, en "Preferencias de Java" hay que cambiar el orden de prioridad.

 

Para la inmensa mayoría que no vamos a diseñar programas en Java y que nos basta con la JRE, tenemos que instalar el entorno de desarrollo completo (que ocupa más del doble) para que aparezca en "Preferencias".

 

¿Hay o no un poco de caos en todo esto?

 

Saludos.

Luis

Link to comment
Share on other sites

  • Replies 167
  • Created
  • Last Reply

Top Posters In This Topic

Me he liado un poco en este hilo. En resumen: hay que instalar la JRE y la JDK, no?

 

No, la JDK ("Kit de desarrollo") incluye la JRE ("Sólo ejecución"). Luego, en "Preferencias de Java" hay que cambiar el orden de prioridad.

 

Para la inmensa mayoría que no vamos a diseñar programas en Java y que nos basta con la JRE, tenemos que instalar el entorno de desarrollo completo (que ocupa más del doble) para que aparezca en "Preferencias".

 

¿Hay o no un poco de caos en todo esto?

 

Saludos.

Luis

La versión JDK no es la de desarrollo "por si sola". Hay que instalar 3 paquetes para tener la versión de desarrollo funcionando. Y funciona así porque tienes instalada una versión anterior del sistema Java para las aplicaciones del sistema de Apple, encargada de ello. Oracle no puede modificar el sistema operativo ;)

 

Un saludo.

 

lo que no entiendo es por qué existe la version JRE si luego no aparece en el panel. ¿por qué oracle lanza esta versión?

Porque puede tener un mac sin ninguna versión de Java. El problema lo tenemos aquellos que tenemos una versión de Java heredada de Snow Leopard usando un mac con Lion o Mountain Lion.

 

Un saludo.

Link to comment
Share on other sites

A un amigo le ha llegado un MBP nuevo con ML, si usa Preferencias de Java le sale este mensaje:

 

28vq06s.png

 

Lo cual parece indicar que no tiene ninguna versión anterior de Java, ¿Puede instalar la JRE o es mejor que instale la JDK?.

 

Un cordial saludo

Link to comment
Share on other sites

A un amigo le ha llegado un MBP nuevo con ML, si usa Preferencias de Java le sale este mensaje:

 

28vq06s.png

 

Lo cual parece indicar que no tiene ninguna versión anterior de Java, ¿Puede instalar la JRE o es mejor que instale la JDK?.

 

Un cordial saludo

Instale la JRE o la JDK le será indistinta, porque son ambas versiones 7 de Java y el panel pide la versión 6.

 

Un saludo.

Link to comment
Share on other sites

Muchas gracias por la rápida respuesta, va a instalar la JRE ya que es un Air de 64 GB y hay que aprovechar todo el espacio posible en el disco.

 

Un cordial saludo.

 

Pues entonces que haga lo que yo (en un MacBook Air igual): que se olvide de la 6 ya que con la 7 no se necesitan las "Preferencias de Java" nativas de OS puesto que ahora Oracle instala un complemento en "Preferencias del Sistema".

 

Saludos.

Luis

Link to comment
Share on other sites

Muchas gracias por la rápida respuesta, va a instalar la JRE ya que es un Air de 64 GB y hay que aprovechar todo el espacio posible en el disco.

 

Un cordial saludo.

 

Pues entonces que haga lo que yo (en un MacBook Air igual): que se olvide de la 6 ya que con la 7 no se necesitan las "Preferencias de Java" nativas de OS puesto que ahora Oracle instala un complemento en "Preferencias del Sistema".

 

Saludos.

Luis

Es una interesante opción siempre y cuando no necesite alguna vez la versión 6. Porque entonces, a parte de instalar el paquete proporcionado por Apple (el único de esa versión), tendrá nuevamente el problema de no encontrar la versión 7 y tendrá que instalar la versión JDK.

 

Un saludo.

Link to comment
Share on other sites

...

Es una interesante opción siempre y cuando no necesite alguna vez la versión 6. Porque entonces, a parte de instalar el paquete proporcionado por Apple (el único de esa versión), tendrá nuevamente el problema de no encontrar la versión 7 y tendrá que instalar la versión JDK.

 

Un saludo.

 

Pues si nos atenemos a lo que dice Oracle, no tenemos por qué necesitar la versión anterior. Ahora bien, como zorro viejo ya me ha tocado en varias ocasiones "beber de esa agua que había dejado correr".

 

Saludos.

Luis

Link to comment
Share on other sites

Muchas gracias por la rápida respuesta, va a instalar la JRE ya que es un Air de 64 GB y hay que aprovechar todo el espacio posible en el disco.

 

Un cordial saludo.

 

Pues entonces que haga lo que yo (en un MacBook Air igual): que se olvide de la 6 ya que con la 7 no se necesitan las "Preferencias de Java" nativas de OS puesto que ahora Oracle instala un complemento en "Preferencias del Sistema".

 

Saludos.

Luis

 

 

Es justamente lo que ha hecho, gracias por el consejo.

 

De todas formas, deberían haber solucionado este tema de una forma fácil y clara para el usuario normal.

 

Un cordial saludo.

Link to comment
Share on other sites

Muchas gracias por la rápida respuesta, va a instalar la JRE ya que es un Air de 64 GB y hay que aprovechar todo el espacio posible en el disco.

 

Un cordial saludo.

 

Pues entonces que haga lo que yo (en un MacBook Air igual): que se olvide de la 6 ya que con la 7 no se necesitan las "Preferencias de Java" nativas de OS puesto que ahora Oracle instala un complemento en "Preferencias del Sistema".

 

Saludos.

Luis

 

 

Es justamente lo que ha hecho, gracias por el consejo.

 

De todas formas, deberían haber solucionado este tema de una forma fácil y clara para el usuario normal.

 

Un cordial saludo.

Hola.

 

Esta todo claro en las instrucciones de instalación de la versión 7 de Java. Desde luego no me considero más que un usuario con algunos años en el mundo mac, nada más ;) y sin mucho conocimiento de inglés (vamos, traductor de Google al canto).

 

Un saludo.

Link to comment
Share on other sites

Una duda, si quiero borrar completamente Java 6 en ML e instalar Java 7, ¿hay alguna forma de hacerlo? (busco algo más que simplemente cambiarlo en las preferencias de Java)

 

Gracias, un saludo.

Link to comment
Share on other sites

Una duda, si quiero borrar completamente Java 6 en ML e instalar Java 7, ¿hay alguna forma de hacerlo? (busco algo más que simplemente cambiarlo en las preferencias de Java)

 

Gracias, un saludo.

Hola.

 

Simple no es pero en esta página puedes encontrar unas instruciones. Yo no lo he usado, pero según he leido, parece funcionar.

 

Un saludo.

 

PS: Edito el post para indicar las instrucciones OFICIALES para desinstalar Java versión 7.

Edited by Pau Sellés i Garcia
Link to comment
Share on other sites

Buenas Pau, he hecho los pasos que ahí indican y de fábula. Ahora si abro una aplicación hecha en Java me pide si deseo instalar la version Java 6 via apple. Era la solucion que necesitaba

 

 

Gracias :)

Link to comment
Share on other sites

Chrome no va bien con Java 7.

¿En qué sentido?

 

Un saludo.

Chrome no está en 64 bits y Java 7 solo funciona con 64 bits.

Dado que la versión 7 de Java solo está disponible para Lion y Mountain Lion que son sistemas 64 bits, la versión 7 para Mac solo funciona en 64 bits. Si usas un programa que funciona a 32 bits, el programador deberá implementarlo a 64 bits o deberás seguir usando la versión 6 que funciona en tanto en 64 como en 32.

 

Y desde luego no entiendo como un navegador como Chrome no está en 64 bits (pero bueno, eso es problema de Google).

 

Un saludo.

Link to comment
Share on other sites

Ya esta disponible en la web oficial Java.com.

Muy interesantes las FAQ sobre Mac. Confirman que Java 7 no funciona con Google Chrome al ser un navegador de 32 bits, a ver si Google se pone las pilas.

Efectivamente.

 

A ver cuanto tarda la gente en decir que Java para Mac es "una mierda" por no soportar Chrome... En fin, sin comentarios...

 

Un saludo.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.